org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class UpdatedVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.UpdatedVisitor

    public class UpdatedVisitor
    extends org.objectweb.asm.AnnotationVisitor

Author:
  Felix Project Team
See Also:
  `Updated`

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`UpdatedVisitor(ComponentWorkbench workbench, String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visit, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdatedVisitor

    public UpdatedVisitor(ComponentWorkbench workbench,
                          String name)

### Method Detail

#### visitEnd

    public void visitEnd()

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`